# git clone/pul https://github.com/wwmm/easyeffects/tree/pulseaudio-legacy

Name:           pulseeffects
Version:        4.8.7
Release:        %mkrel 11
Summary:        Audio equalizer, filters and effects for Pulseaudio applications
License:        GPLv3
Group:          Sound
Url:            https://github.com/wwmm/pulseeffects
Source0:        https://github.com/wwmm/pulseeffects/archive/v%{version}/%{name}-%{version}.tar.xz

# this drop also dependencie libpipewire for pulse-legacy
Patch0:			pulseeffects-easy-adwaita.patch

BuildRequires:  appstream-glib
BuildRequires:  boost-devel
BuildRequires:  desktop-file-utils
BuildRequires:  itstool
BuildRequires:  libxml2-utils
BuildRequires:  meson
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(glibmm-2.4) >= 2.56
BuildRequires:  pkgconfig(gstreamer-1.0) >= 1.12
BuildRequires:  pkgconfig(libpulse) >= 11.0
BuildRequires:  pkgconfig(samplerate)
BuildRequires:  pkgconfig(sigc++-2.0)
BuildRequires:  pkgconfig(sndfile)

BuildRequires:  pkgconfig(adwaita-qt)

BuildRequires: lib64serd-devel
BuildRequires: lib64sord-devel
BuildRequires: lib64cairomm1.0-devel
BuildRequires: lib64pangomm2.4-devel
BuildRequires: lv2-devel    
BuildRequires: lib64sratom-devel
BuildRequires: lib64atkmm1.6-devel
BuildRequires: lib64gtkmm3.0-devel
BuildRequires: lib64lilv-devel
BuildRequires: lib64zita-convolver-devel
BuildRequires: lib64gstreamer-plugins-bad1.0-devel
BuildRequires: lib64ebur128-devel
BuildRequires: lib64bs2b-devel
  
Requires:	gstreamer1.0-plugins-good
# gstreamer-ladspa-plugin in ..bad
Requires:	gstreamer1.0-plugins-bad
Requires:	ladspa-plugins-swh
Requires:	calf
Requires:	lv2-calf-plugins
Requires:	ladspa-zam-plugins
Requires:	lv2-zam-plugins
Requires:	mda-lv2
Requires:	zam-plugins
Requires:	rubberband
Requires:	lsp-plugins-lv2-bin
Requires:	task-pipewire

%description
Limiters, compressor, reverberation, high-pass filter, low pass filter,
equalizer many more effects for PulseAudio applications.

%prep
%setup -q

%autopatch -p1

find -type f -exec chmod 0644 {} \;
rm -rf build && mkdir build

%build
cd include
for f in `ls -1 *.hpp`; do
sed -i s/"#include <adwaita.h>"/"#include <AdwaitaQt\/adwaita.h>"/g $f
done
cd ..

export LC_ALL="${LC_ALL:-UTF-8}"
# from tex
CFLAGS+=' -fcommon'
export LDFLAGS="-L/usr/lib64/libglvnd/ $LDFLAGS"
%meson --prefix=/usr
%meson_build


%install
export LC_ALL="${LC_ALL:-UTF-8}"
%meson_install

desktop-file-install %{buildroot}%{_datadir}/applications/com.github.wwmm.%{name}.desktop \
    --add-category='X-MandrivaLinux-Sound' \
    --dir=%{buildroot}%{_datadir}/applications


# Change absolute symlinks to relative
# https://github.com/wwmm/pulseeffects/issues/590
find %{buildroot}%{_datadir}/help/ -type l -exec bash -c 'ln -sf ../../../C/easyeffects/figures/$(basename {}) {}' \;

%find_lang %{name}

%files
%{_bindir}
%{_datadir}
%{_libdir}

%post
%update_menus

%postun
%clean_menus

%changelog
* Thu Apr 04 2023 tex - 4.8.7-11pclos2024
- bump release for pclinuxos
- req task-pipewire
